test.sh 379 B

12345678910111213141516171819202122232425
  1. #!/usr/bin/env bash
  2. set -euo pipefail
  3. function cleanup() {
  4. pkill -P $$
  5. }
  6. trap cleanup EXIT SIGINT
  7. # Build static assets
  8. (cd ../.. && npm ci && npm run assets)
  9. go tool anubis --help 2>/dev/null || :
  10. go run ../cmd/httpdebug &
  11. go tool anubis \
  12. --policy-fname ./anubis.yaml \
  13. --use-remote-address \
  14. --target=http://localhost:3923 &
  15. sleep 2
  16. backoff-retry node ./test.mjs